require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Intent"
import "android.content.ComponentName"

layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    {
        Button,
        id = "btn_youtube",
        text = "YouTube",
        layout_width = "fill",
        layout_height = "wrap_content"
    },
    {
        Button,
        id = "btn_youtube_music",
        text = "YouTube Music",
        layout_width = "fill",
        layout_height = "wrap_content"
    }
}

dlg = LuaDialog(this)
dlg.View = loadlayout(layout)
dlg.setTitle("Open with")
dlg.show()

btn_youtube.onClick = function()
    dlg.dismiss()
    task(20, function()
        local intent = Intent(Intent.ACTION_MAIN)
        intent.setComponent(ComponentName("com.google.android.youtube", "com.google.android.youtube.HomeActivity"))
        this.startActivity(intent)
    end)
end

btn_youtube_music.onClick = function()
    dlg.dismiss()
    task(20, function()
        local intent = Intent(Intent.ACTION_MAIN)
        intent.setPackage("com.google.android.apps.youtube.music")
        this.startActivity(intent)
    end)
end